Subject: Re: bug#57042: 28.1.91; c-mode autoindents cweb style lines

From: Van Ly <[email-masked]>
Date: Sun, 7 Aug 2022 18:12:37 +0000 (UTC)

On Sun, 7 Aug 2022, Eli Zaretskii wrote:

>
> Sorry, I don't understand: why do you expect C Mode to DTRT for CWEB
> files?  The above is not valid C code, it's a different language that
> needs a dedicated major mode.
>

Yes, there is a dedicated mode for cweb by dek.  I guess it is out of 
date in relation to modern Emacs.  I'm expecting c mode might have 
enough fuzzy heuristic to play well with cweb.  For example, skip the 
lines beginning with @ when autoindenting.  C code validity is a 
moving target.

-- 
vl